Name:           ykushcmd
Version:        1.1.0
Release:        3%{?dist}
Summary:        YKUSH Boards Control Application 

Group:          Applications/System
License:        ASL 2.0
URL:            https://github.com/Yepkit/ykush
Source0:        https://github.com/Yepkit/ykush/archive/%{version}/%{name}-%{version}.tar.gz

# https://github.com/Yepkit/ykush/pull/10
Patch0:         0001-build-remove-a-duplicate-define.patch
Patch1:         0002-ykushcmd-drop-a-couple-of-unused-variables.patch
Patch2:         0003-ykushcmd-remove-an-unused-prototype.patch
Patch3:         0004-ykushcmd-initialize-a-variable-before-use.patch

BuildRequires:  gcc-c++
BuildRequires:  hidapi-devel
BuildRequires:  libusbx-devel
BuildRequires:  systemd-devel

%description
Control application for Yepkit YKUSH Switchable USB Hub boards.


%prep
%setup -q -n ykush-%{version}
# https://github.com/Yepkit/ykush/pull/10/commits/43fd1497
find -name '*.cpp' -o -name '*.h' |xargs chmod -x
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
make %{?_smp_mflags} CPP="%{__cxx} %{optflags} -I/usr/include/hidapi '-DDOCDIR=\"%{_pkgdocdir}\"'"


%install
mkdir -p %{buildroot}%{_bindir}
install bin/ykushcmd %{buildroot}%{_bindir}


%files
%{_bindir}/ykushcmd
%doc README.md
%license %attr(0644,-,-) LICENSE.md


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Lubomir Rintel <lkundrak@v3.sk> - 1.1.0-1
- Address review by Robert-André Mauchin (rh#1534545)
- Drop the superfluous executable bits
- Move to a released version 1.1.0

* Mon Jan 15 2018 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-1.20180108git01aff0b
- Initial packaging
